/* * {
    margin: 0;
    font-family: 'Helvetica Neue', Arial, sans-serif;
    color: #333;
}

#christmas-card {
    display: flex;
    flex-flow: column;
    height: 100%;
    width: 100%;
    justify-content: center;
    align-items: center;
}
*/

.cc-viz-img {
    background-image: url(pics/viz.jpg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    max-width: 100%;
    max-height: 100%;
    width: 70%;
    height: 70%;
    background-color: black;
    box-shadow: 5px 5px 5px palegoldenrod, -5px -5px 5px palegoldenrod, inset 6px 6px 5px darkgreen, inset -6px -6px 5px darkgreen, inset 10px 10px 2px red, inset -10px -10px 2px red;
    border-radius: 20px;
}

.cc-done>img {
    /* display: flex; */
    height: 70%;
}

.cc-done>.cc-end-header {
    color: white;
    font-family: fantasy, cursive;
    margin-top: 30px;
    margin-bottom: 30px;
    padding: 15px;
    box-shadow: 2px 2px 20px white, -2px -2px 20px white, inset 2px 2px 2px darkgreen, inset -2px -2px 2px darkgreen;
    border-radius: 5px;
}

.cc-done>div>h1 {
    font-size: 30pt;
}

.cc-done>div>h2 {
    font-size: 22pt;
    text-decoration: underline;
    text-align: center;
}

.cc-done>div>h2,
.cc-done>div>h1 {
    margin: 0;
}

.cc-preplay {
    width: 100%;
    height: 100%;
    font-size: 60pt;
    color: white;
    font-family: fantasy, cursive;
    text-align: center;
    user-select: none;
}

.cc-preplay>h1 {
    font-size: 80pt;
    font-weight: bold;
    width: 100%;
    /* height: 100%; */
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cc-preplay>h2 {
    font-size: 70pt;
    font-style: italic;
}

.cc-preplay>h3 {
    margin: 0 auto;
    width: 80%;
    font-size: 30pt;
}

.cc-done>h1 {}

.cc-done>h2 {}

.cc-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
}

.cc-header {
    background: white;
    width: 90%;
    margin-bottom: 10px;
}

@media (orientation: portrait) {
    .cc-content {
        position: relative;
        max-height: 80vh;

        height: 100vw;
        width: 85vw;
    }
}

@media (orientation: landscape) {
    .cc-content {
        /* height: 90%; */
        height: calc(90vh - 40px);
        width: calc(90vh - 40px);
        position: relative;
    }

    .cc-header,
    .cc-content {
        /* max-width: 80vw;
        max-height: 100vh;
        width: 100%; */
    }
}

#snow {
    z-index: -4;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: #1a4c0b91;
    box-shadow:
        inset 5px 5px 7px darkgreen,
        inset -5px -5px 7px darkgreen,
        inset 8px 8px 0px red,
        inset -8px -8px 0px red,
        inset 13px 13px 4px darkgreen,
        inset -13px -13px 4px darkgreen;
}

.cc-header {
    height: 36px;
    display: flex;
}

.cc-header-next:hover {
    transform: scale(1.1);
    box-shadow: 2px 2px 3px white, -2px -2px 3px white, inset 1px 1px 5px white, inset -1px -1px 5px white;
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -o-transform: scale(1.1);
}

.cc-header>.cc-header-next {
    user-select: none;
    max-width: 72px;
    flex: 1;
    display: flex;
    padding-left: 7px;
    padding-right: 7px;
    font-size: 16px;
    box-sizing: border-box;
    border-radius: 5px;
}

.cc-header>div {
    /* box-shadow: inset 1px 1px 2px red, inset -1px -1px 1px red, inset 3px 3px 2px green, inset -3px -3px 2px green; */
    /* box-shadow: inset 1px 1px 12px white, inset -1px -1px 12px white; */
    box-shadow: 2px 2px 8px white, -2px -2px 8px white, inset 1px 1px 12px white, inset -1px -1px 12px white;
    color: white;
    background: #006400c4;
    font-family: Helvetica;
    font-size: 22px;
    justify-content: center;
    align-items: center;
}

.cc-header-title {
    display: flex;
    flex: 1;
    justify-content: start !important;
    padding-left: 10px;
}

.cc-header-status {}

.cc-header-description {}

.cc-content {
    user-select: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cc-content>img,
.cc-content>svg {
    will-change: opacity;
    transition: opacity 50ms linear;
    -webkit-transition: opacity 50ms linear;
    -moz-transition: opacity 50ms linear;
    -ms-transition: opacity 50ms linear;
    -o-transition: opacity 50ms linear;

    position: absolute;
    z-index: 10;
    box-shadow: 0px 0px 26px white, inset -3px -3px 3px darkgreen, inset 3px 3px 3px darkgreen;
    /* inset -4px -4px 0px red,        inset 4px 4px 0px red:;
    */
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.cc-content>img {
    max-width: 100%;
    max-height: 100%;
}

.cc-scores {
    width: 100%;
    height: 100%;
    display: flex;
    flex-flow: column;
    justify-content: start;
    align-items: center;
}

.cc-scoreboard-container>table {
    padding: 10px;
    box-shadow: inset 1px 1px 2px red, inset -1px -1px 1px red, inset 3px 3px 2px green, inset -3px -3px 2px green;
    color: white;
    background: #006400c4;
    font-family: Helvetica;
    font-size: 22px;
}

.gdpr-bullshit {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.gdpr-bullshit>p {
    min-height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 600px;
    margin-right: 25px;
    margin-left: 25px;
    font-family: Helvetica;
}

@media (orientation: portrait) {
    font-size: 1vh;
}

@media (orientation: landscape) {
    font-size: 1vw;
}


.cc-vis-container {
    max-width: 100%;
}

.cc-circle {
    fill: #0080007a;
    stroke: #ff000096;
    stroke-width: 2px;
    stroke-dasharray: 5px;
    stroke-linecap: round;
}

.cc-vis-container>svg {
    overflow: visible;

    transform: scale(0.8);
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
}


.cc-scoreboard-container,
.cc-vis-container {
    display: flex;
    flex: 1;
    max-width: 100%;
    justify-content: center;
    align-items: center;
}

.cc-scoreboard-row {}

.cc-scoreboard-row>td {
    box-shadow: 1px 1px 5px black;
    padding: 10px;
    border-radius: 2px;
    border: 1px white solid;
    transform: scale(0.96);
}

.cc-scoreboard-row-name {}

.cc-scoreboard-row-group {}

.cc-scoreboard-row-best {}

.cc-scoreboard-row-gameplays {}
